V1 APIContent
List content blocks
Enabled content blocks (content groups) with enabled nested content items. Optionally filter the collection by comma-separated website connection keys.
GET
/api/v1/property/{property}/content-groupsEnabled content blocks (content groups) with enabled nested content items. Optionally filter the collection by comma-separated website connection keys.
Path Parameters
property*string
Property UUID. This route is unauthenticated and unscoped, so it does not accept a slug — to address a property by slug, use /api/v1/connection/{connection}/property/{property}.
Format
uuidQuery Parameters
website_connection_keys?string
Comma-separated website connection keys. Whitespace and duplicate values are ignored. When omitted, all enabled content blocks are returned; when present but empty, no content blocks are returned.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/property/019dbc38-d49e-7310-95d4-711a5b7a4b40/content-groups"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "string", "media_type": "string", "internal_title": "string", "title": "string", "subtitle": "string", "description": "string", "link_primary_url": "http://example.com", "link_primary_text": "string", "link_secondary_url": "http://example.com", "link_secondary_text": "string", "images": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thumb_url": "http://example.com", "full_url": "http://example.com", "caption": "string", "alt_text": "string", "tags": [ "string" ], "tags_string": "string", "reference_url": "http://example.com", "title": "string" } ], "videos": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "string", "url": "http://example.com", "title": "string", "settings": {}, "image": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thumb_url": "http://example.com", "full_url": "http://example.com", "caption": "string", "alt_text": "string", "tags": [ "string" ], "tags_string": "string", "reference_url": "http://example.com", "title": "string" }, "tags": [ "string" ], "tags_string": "string" } ], "virtual_tours": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "provider": "string", "url": "http://example.com", "title": "string", "settings": {}, "image": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thumb_url": "http://example.com", "full_url": "http://example.com", "caption": "string", "alt_text": "string", "tags": [ "string" ], "tags_string": "string", "reference_url": "http://example.com", "title": "string" }, "tags": [ "string" ], "tags_string": "string" } ], "background_image": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "thumb_url": "http://example.com", "full_url": "http://example.com", "caption": "string", "alt_text": "string", "tags": [ "string" ], "tags_string": "string", "reference_url": "http://example.com", "title": "string" }, "elements_key": "string", "content_items": [ {} ] } ]}